import Component from '../../component.js'
import { elementAttributeContains } from '../../../core/utils.js';

export default class CoUxDisableContent extends Component {
    constructor(parent) {
      let selector = 'ux-disable-content';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/ux-disable-content/ux-disable-content.component.html
    }
    get disableContentDataDiv(){
      return this.currentPath +  '//div[@data-e2e = "ux-disable-content"]'
    }
    async isDisabled() {
        return await elementAttributeContains(this.disableContentDataDiv, 'class', 'ux-is-active');
    }
}


